source: trunk/dports/perl/p5-astro-satpass/Portfile

Last change on this file was 154393, checked in by mojca@…, 11 months ago

p5-*: remove subports for perl5.22 (#52081)

  • Property svn:eol-style set to native
  • Property svn:keywords set to Id
File size: 1.7 KB
Line 
1# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
2# $Id: Portfile 154393 2016-10-28 22:10:07Z ryandesign@macports.org $
3
4PortSystem          1.0
5PortGroup           perl5 1.0
6
7perl5.branches      5.24
8perl5.setup         Astro-satpass 0.074
9maintainers         nomaintainer
10platforms           darwin
11license             {Artistic-1 GPL}
12
13description         Astro-satpass - Predict satellite passes over an observer.
14
15long_description    This package contains classes needed to predict \
16                    satellite visibility, and an optional demonstration application \
17                    (satpass) that makes use of these classes.
18
19homepage            https://metacpan.org/release/${perl5.module}
20
21checksums           rmd160  803806f819c514ffd71030ac3aa98ae53b56e964 \
22                    sha256  06c287e7b4d607100df780e5970497e8f488e2c4bc7bb09a250dfa34e684d41e
23
24variant script description {Install the deprecated satpass script and optional dependencies} {}
25
26if {${perl5.major} != ""} {
27    depends_lib-append \
28                    port:p${perl5.major}-datetime \
29                    port:p${perl5.major}-datetime-timezone \
30                    port:p${perl5.major}-json
31
32    if {[variant_isset script]} {
33#       requires Makefile.PL -y to install deprecated satpass script
34        configure.pre_args-append -y
35#       optional dependencies for satpass script
36        depends_lib-append \
37                    port:p${perl5.major}-astro-simbad-client \
38                    port:p${perl5.major}-astro-spacetrack \
39                    port:p${perl5.major}-datemanip \
40                    port:p${perl5.major}-geo-coder-osm \
41                    port:p${perl5.major}-geo-webservice-elevation-usgs
42    }
43
44    supported_archs noarch
45}
Note: See TracBrowser for help on using the repository browser.